From: Arne Fitzenreiter <git@ipfire.org>
To: ipfire-scm@lists.ipfire.org
Subject: [git.ipfire.org] IPFire 2.x development tree branch, next, updated. 21eead8d171c73ce0baa96f1ed8ab0176cff25de
Date: Tue, 26 Feb 2019 08:17:20 +0000 [thread overview]
Message-ID: <20190226081720.D255384FDD4@people01.i.ipfire.org> (raw)
[-- Attachment #1: Type: text/plain, Size: 3533 bytes --]
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".
The branch, next has been updated
via 21eead8d171c73ce0baa96f1ed8ab0176cff25de (commit)
via 232c42e14d44fc1c3c3a11eb65117e406c2c90e1 (commit)
via 001481edf3adb5f0848d610be81163ab0a40a43b (commit)
from 1e1273df1d0baf60feb9931fe66e21eda014989c (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 21eead8d171c73ce0baa96f1ed8ab0176cff25de
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date: Sun Feb 24 11:45:55 2019 +0000
Add script to search for missing libraries
Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>
commit 232c42e14d44fc1c3c3a11eb65117e406c2c90e1
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date: Sun Feb 24 04:06:52 2019 +0000
core128: Drop old openssl engines
Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>
commit 001481edf3adb5f0848d610be81163ab0a40a43b
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date: Sun Feb 24 04:04:51 2019 +0000
cups: Depends on bluetooth library
Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>
-----------------------------------------------------------------------
Summary of changes:
config/rootfiles/core/128/update.sh | 3 ++-
lfs/cups | 4 ++--
tools/find-missing-libs.sh | 18 ++++++++++++++++++
3 files changed, 22 insertions(+), 3 deletions(-)
create mode 100644 tools/find-missing-libs.sh
Difference in files:
diff --git a/config/rootfiles/core/128/update.sh b/config/rootfiles/core/128/update.sh
index b6366144b..142f3de3d 100644
--- a/config/rootfiles/core/128/update.sh
+++ b/config/rootfiles/core/128/update.sh
@@ -83,9 +83,10 @@ rm -f /etc/sysconfig/lm_sensors
/etc/init.d/apache stop
# Remove files
-rm -vf \
+rm -rvf \
/usr/lib{,/sse2}/libcrypto.so.10 \
/usr/lib{,/sse2}/libssl.so.10 \
+ /usr/lib/openssl/engines \
/home/nobody/.rnd \
/var/ipfire/ovpn/ca/.rnd \
/var/tmp/.rnd \
diff --git a/lfs/cups b/lfs/cups
index 16da970ea..dfa41188c 100644
--- a/lfs/cups
+++ b/lfs/cups
@@ -32,9 +32,9 @@ DL_FROM = $(URL_IPFIRE)
DIR_APP = $(DIR_SRC)/cups-$(VER)
TARGET = $(DIR_INFO)/$(THISAPP)
PROG = cups
-PAK_VER = 17
+PAK_VER = 18
-DEPS = "avahi cups-filters dbus ghostscript krb5 libtiff"
+DEPS = "avahi bluetooth cups-filters dbus ghostscript krb5 libtiff"
###############################################################################
# Top-level Rules
diff --git a/tools/find-missing-libs.sh b/tools/find-missing-libs.sh
new file mode 100644
index 000000000..624ee008d
--- /dev/null
+++ b/tools/find-missing-libs.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+# This scripts lists binaries that have missing libraries.
+# Arguments are paths to search in
+
+main() {
+ local path
+ for path in $@; do
+ local file
+ for file in $(find "${path}" -type f); do
+ if ldd "${file}" 2>/dev/null | grep -q "not found"; then
+ echo "${file}"
+ ldd "${file}"
+ fi
+ done
+ done
+}
+
+main "$@" || exit $?
hooks/post-receive
--
IPFire 2.x development tree
reply other threads:[~2019-02-26 8:17 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20190226081720.D255384FDD4@people01.i.ipfire.org \
--to=git@ipfire.org \
--cc=ipfire-scm@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox